package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.TDeviceSet;

/**
 * 设备设置Service接口
 * 
 * @author zhengjie
 * @date 2023-09-20
 */
public interface ITDeviceSetService 
{
    /**
     * 查询设备设置
     * 
     * @param id 设备设置主键
     * @return 设备设置
     */
    public TDeviceSet selectTDeviceSetById(Integer id);

    /**
     * 查询设备设置
     *
     * @param deviceIdCode 设备号
     * @return 设备设置
     */
    public TDeviceSet selectTDeviceSetByCode(String deviceIdCode);

    /**
     * 查询设备设置列表
     * 
     * @param tDeviceSet 设备设置
     * @return 设备设置集合
     */
    public List<TDeviceSet> selectTDeviceSetList(TDeviceSet tDeviceSet);

    /**
     * 新增设备设置
     * 
     * @param tDeviceSet 设备设置
     * @return 结果
     */
    public int insertTDeviceSet(TDeviceSet tDeviceSet);

    /**
     * 修改设备设置
     * 
     * @param tDeviceSet 设备设置
     * @return 结果
     */
    public int updateTDeviceSet(TDeviceSet tDeviceSet);

    /**
     * 批量删除设备设置
     * 
     * @param ids 需要删除的设备设置主键集合
     * @return 结果
     */
    public int deleteTDeviceSetByIds(Integer[] ids);

    /**
     * 删除设备设置信息
     * 
     * @param id 设备设置主键
     * @return 结果
     */
    public int deleteTDeviceSetById(Integer id);
}
